Bug 782000 - (ghc-hashtables) Review Request: ghc-hashtables - Mutable hash tables in the ST monad
Review Request: ghc-hashtables - Mutable hash tables in the ST monad
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-Agda
  Show dependency treegraph
 
Reported: 2012-01-16 05:02 EST by Jens Petersen
Modified: 2012-12-27 15:05 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-hashtables-1.0.1.2-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-25 03:25:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-01-16 05:02:55 EST
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-hashtables/ghc-hashtables.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-hashtables/ghc-hashtables-1.0.1.2-1.fc16.src.rpm
Description: 
This package provides 3 different implementations of mutable hash tables in the ST monad, as well as a typeclass abstracting their common operations, and a set of wrappers to use the hash tables in the IO monad.

It is needed for Agda-2.3.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3705343
Comment 1 Narasimhan 2012-02-10 23:32:28 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-hashtables-1.0.1.2-1.fc16.src.rpm  ghc-hashtables-1.0.1.2-1.fc16.x86_64.rpm ghc-hashtables-devel-1.0.1.2-1.fc16.x86_64.rpm ../ghc-hashtables.spec 
ghc-hashtables.src: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-hashtables.src: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-hashtables.src: W: spelling-error %description -l en_US typeclass -> type class, type-class, typecasts
The value of this tag appears to be misspelled. Please double-check.

ghc-hashtables.src: W: spelling-error %description -l en_US HashTable -> Hash Table, Hash-table, Washable
The value of this tag appears to be misspelled. Please double-check.

ghc-hashtables.src: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
The value of this tag appears to be misspelled. Please double-check.

ghc-hashtables.src: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
The value of this tag appears to be misspelled. Please double-check.

ghc-hashtables.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-hashtables.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-hashtables.x86_64: W: spelling-error %description -l en_US typeclass -> type class, type-class, typecasts
The value of this tag appears to be misspelled. Please double-check.

ghc-hashtables.x86_64: W: spelling-error %description -l en_US HashTable -> Hash Table, Hash-table, Washable
The value of this tag appears to be misspelled. Please double-check.

ghc-hashtables.x86_64: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
The value of this tag appears to be misspelled. Please double-check.

ghc-hashtables.x86_64: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
The value of this tag appears to be misspelled. Please double-check.

ghc-hashtables-devel.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-hashtables-devel.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-hashtables-devel.x86_64: W: spelling-error %description -l en_US typeclass -> type class, type-class, typecasts
The value of this tag appears to be misspelled. Please double-check.

ghc-hashtables-devel.x86_64: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
The value of this tag appears to be misspelled. Please double-check.

ghc-hashtables-devel.x86_64: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 17 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming - Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.

[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum hashtables-1.0.1.2.tar.gz 
9c3ab91981b9a487e5d8ce189de622aa  hashtables-1.0.1.2.tar.gz

md5sum ghc-hashtables-1.0.1.2-1.fc16.src/hashtables-1.0.1.2.tar.gz 
9c3ab91981b9a487e5d8ce189de622aa  ghc-hashtables-1.0.1.2-1.fc16.src/hashtables-1.0.1.2.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Loaded Data.HashTable.Class into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.
[-]SHOULD : If source files do not have license mentioned, the packager SHOULD query upstream.

cabal2spec-diff is OK.

APPROVED.
Comment 2 Jens Petersen 2012-02-13 03:58:23 EST
Thank you for reviewing!


New Package SCM Request
=======================
Package Name: ghc-hashtables
Short Description: Mutable hash tables in the ST monad
Owners: petersen
Branches: f17 f16 f15
InitialCC: haskell-sig
Comment 3 Jon Ciesla 2012-02-13 09:56:01 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-02-13 21:48:11 EST
ghc-hashtables-1.0.1.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-hashtables-1.0.1.2-1.fc15
Comment 5 Fedora Update System 2012-02-13 21:48:21 EST
ghc-hashtables-1.0.1.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-hashtables-1.0.1.2-1.fc16
Comment 6 Fedora Update System 2012-02-15 06:25:14 EST
ghc-hashtables-1.0.1.2-1.fc15 has been pushed to the Fedora 15 testing repository.
Comment 7 Fedora Update System 2012-02-25 03:25:11 EST
ghc-hashtables-1.0.1.2-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 8 Fedora Update System 2012-02-25 03:36:29 EST
ghc-hashtables-1.0.1.2-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 9 Jens Petersen 2012-12-07 01:01:56 EST
Package Change Request
======================
Package Name: ghc-hashtables
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 10 Jon Ciesla 2012-12-07 08:17:17 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-12-12 01:31:15 EST
ghc-hashtables-1.0.1.6-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-hashtables-1.0.1.6-4.el6
Comment 12 Fedora Update System 2012-12-27 15:05:18 EST
ghc-hashtables-1.0.1.6-4.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.